[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.First

Returns the first non-nil pointer in the list.

## Declaration

Source position: classesh.inc line 340

`public function TList.First: Pointer;`

## Description

First returns the value of the first non-nil pointer in the list.

If there are no pointers in the list or all pointers equal Nil, then Nil is returned.

## See also

Last |  | Returns the last non-nil pointer in the list.

Documentation generated on: Feb 26 2014